using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Dynamic;
using System.Text;
using Domain;
using Dao;

namespace Service.Implement
{
    public class RoomTypeWXMenusManager : GenericManagerBase<RoomTypeWXMenus>, IRoomTypeWXMenusManager
    {
        public IList<RoomTypeWXMenus> LoadAllByPage(out long total, int page, int rows, string order, string sort)
        {
            return ((Dao.IRoomTypeWXMenusRepository)(this.CurrentRepository)).LoadAllByPage(out total, page, rows, order, sort).ToList();
        }

        public IList<RoomTypeWXMenus> LoadAll(int roomTypeID)
        {
            return ((Dao.IRoomTypeWXMenusRepository)(this.CurrentRepository)).LoadAll(roomTypeID).ToList();
        }
    }
}
